SDL_TouchFingerEvent Struct Reference

Touch finger event structure (event.tfinger.*) More...

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
SDL_TouchID | touchId
SDL_FingerID | fingerId
float | x
float | y
float | dx
float | dy
float | pressure

## Detailed Description

Touch finger event structure (event.tfinger.*)

Definition at line 413 of file SDL_events.h.

## Field Documentation

## dx

float SDL_TouchFingerEvent::dx

Normalized in the range -1...1

Definition at line 421 of file SDL_events.h.

Referenced by SDLTest_PrintEvent().

## dy

float SDL_TouchFingerEvent::dy

Normalized in the range -1...1

Definition at line 422 of file SDL_events.h.

Referenced by SDLTest_PrintEvent().

## fingerId

SDL_FingerID SDL_TouchFingerEvent::fingerId

Definition at line 418 of file SDL_events.h.

Referenced by loop(), and SDLTest_PrintEvent().

## pressure

float SDL_TouchFingerEvent::pressure

Normalized in the range 0...1

Definition at line 423 of file SDL_events.h.

Referenced by SDLTest_PrintEvent().

## timestamp

Uint32 SDL_TouchFingerEvent::timestamp

In milliseconds, populated using SDL_GetTicks()

Definition at line 416 of file SDL_events.h.

## touchId

SDL_TouchID SDL_TouchFingerEvent::touchId

The touch device id

Definition at line 417 of file SDL_events.h.

Referenced by SDL_GestureProcessEvent(), and SDLTest_PrintEvent().

## type

Uint32 SDL_TouchFingerEvent::type

SDL_FINGERMOTION or SDL_FINGERDOWN or SDL_FINGERUP

Definition at line 415 of file SDL_events.h.

## x

float SDL_TouchFingerEvent::x

Normalized in the range 0...1

Definition at line 419 of file SDL_events.h.

Referenced by loop(), and SDLTest_PrintEvent().

## y

float SDL_TouchFingerEvent::y

Normalized in the range 0...1

Definition at line 420 of file SDL_events.h.

Referenced by loop(), and SDLTest_PrintEvent().

The documentation for this struct was generated from the following file:

- include/SDL_events.h